#!/bin/bash
#
# Copyright (c) 2015,2018 Wind River Systems, Inc.
#
# The right to copy, distribute, modify, or otherwise make use
# of this software may be licensed only pursuant to the terms
# of an applicable Wind River license agreement.
#

START=$(date +%s)
# WARNING: if the duration timeout is increased the puppet exec that runs
#   this script must be adjusted.
END=$((START + 300))
PIDFILE=/var/run/vswitch/vswitch.pid
INITFILE=/var/run/vswitch/vswitch_init_complete

if [ ! -f ${PIDFILE} ]; then
   echo "vswitch process is not started"
   exit 1
fi
INITIALPID=$(cat ${PIDFILE})

while [ $(date +%s) -lt ${END} ]; do
   if [ -e /var/run/vswitch/vswitch_init_complete ]; then
       READYPID=$(cat ${INITFILE})
       if [ "${INITIALPID}" == "${READYPID}" ]; then
           exit 0
       fi
   fi

   sleep 1
done

echo "vswitch pid ${INITIALPID} is not ready; ${READYPID}"
exit 2

